Bug 1492599 - [CNS tracker] - gluster-blockd crashed when a bunch of block devices were deleted
Summary: [CNS tracker] - gluster-blockd crashed when a bunch of block devices were del...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-server-container
Version: cns-3.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: CNS 3.6
Assignee: Humble Chirammal
QA Contact: krishnaram Karthick
URL:
Whiteboard:
Depends On: 1492556
Blocks: 1445448
TreeView+ depends on / blocked
 
Reported: 2017-09-18 09:37 UTC by krishnaram Karthick
Modified: 2018-12-12 08:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1492556
Environment:
Last Closed: 2017-10-11 06:58:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:2877 0 normal SHIPPED_LIVE rhgs-server-container bug fix and enhancement update 2017-10-11 11:11:39 UTC

Comment 3 krishnaram Karthick 2017-09-20 06:57:43 UTC
Verified the bug in cns build - cns-deploy-5.0.0-47.el7rhgs.x86_64

oc delete pvc/device-{1..50} was run couple of times. All the devices got deleted, no crashes were seen. 

sh-4.2# rpm -qa | grep 'gluster-block'
gluster-block-0.2.1-13.el7rhgs.x86_64
sh-4.2# rpm -qa | grep 'tcmu'
libtcmu-1.2.0-15.el7rhgs.x86_64
tcmu-runner-1.2.0-15.el7rhgs.x86_64
sh-4.2# gluster-block list vol_f0b8330e61cbcdf569f50dc2b00bd870
*Nil*
sh-4.2# exit
[root@dhcp47-10 ~]# rpm -qa | grep 'cns'
cns-deploy-5.0.0-47.el7rhgs.x86_64
[root@dhcp47-10 ~]# 

Moving the bug to verified.

Comment 4 errata-xmlrpc 2017-10-11 06:58:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2877


Note You need to log in before you can comment on or make changes to this bug.